Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600361 - Update python-networkx to version 2.1
Summary: Update python-networkx to version 2.1
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-networkx
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 05:35 UTC by Elliott Sales de Andrade
Modified: 2018-11-02 20:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-02 20:20:05 UTC


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-07-12 05:35:25 UTC
The latest version is 2.1: https://networkx.github.io/documentation/stable/

Currently packaged is 1.11.

I guess this will only be possible in Rawhide though, since there are breaking changes.

Comment 1 Jerry James 2018-07-12 13:57:34 UTC
It also has several new build-time dependencies, which I haven't had time to deal with yet: nb2plots, nose-ignore-docstring, sphinxtesters, and texext.  I am about to drop off the net for awhile, so it will probably be a couple of weeks at the earliest before I can get around to any of this.  If anybody in the peanut gallery wants to move things along, getting those packages into Fedora would be a great help.

Comment 2 Jan Kurik 2018-08-14 09:53:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Jerry James 2018-11-02 20:20:05 UTC
Version 2.2 is in Rawhide, but backporting to F29 at this point would be quite difficult.  The potential for breakage is high enough that I don't want to do it.  I'm going to close this bug.  If somebody really, really wants the newer version in F29, then you're going to have to figure out how to do it, and demonstrate that it doesn't break sagemath, for example.


Note You need to log in before you can comment on or make changes to this bug.